import { select, event } from 'd3';
const div = select("body").append("div")	
    .attr("class", "tooltip")				
    .style("opacity", 0);
const svg = select('svg');
const titleG = svg.append('g')
  .attr('transform','translate(120,0)');
const title = titleG.append('text')
  .text('Borehole')
  .attr('y', 30)
  .attr("font-family", "sans-serif")
  .attr("font-size", "40px");
const g = svg.append('g')
  .attr('transform','translate(100,40)');
const gText = svg.append('g')
  .attr('transform','translate(250,40)');
const topsoil = g.append('rect')
  .attr('height', 50)
  .attr('width', 100)
  .attr('fill', 'brown')
  .on("mouseover", function() {		
      div.transition()		
          .duration(200)		
          .style("opacity", .9);		
      div.html("Depth: 0 - 0.5m")	
          .style("left", (event.pageX) + "px")		
          .style("top", (event.pageY - 28) + "px");	
      })	
  .on("mouseout", function() {		
        div.transition()		
            .duration(500)		
            .style("opacity", 0);	
    });
const topsoilT = gText.append('text')
  .text('Topsoil')
  .attr('y', 30)
  .attr("font-family", "sans-serif")
  .attr("font-size", "25px")
const peat = g.append('rect')
  .attr('y', 50)
  .attr('height', 30)
  .attr('width', 100)
  .attr('fill', '#d95f0e')
  .on("mouseover", function() {		
      div.transition()		
          .duration(200)		
          .style("opacity", .9);		
      div.html("Depth: 0.5 - 1.5m")	
          .style("left", (event.pageX) + "px")		
          .style("top", (event.pageY - 28) + "px");	
      })	
  .on("mouseout", function() {		
        div.transition()		
            .duration(500)		
            .style("opacity", 0);	
    });
 
const peatT = gText.append('text')
  .text('Peat')
  .attr('y', 70)
  .attr("font-family", "sans-serif")
  .attr("font-size", "25px");
const till = g.append('rect')
  .attr('y', 80)
  .attr('height', 60)
  .attr('width', 100)
  .attr('fill', 'grey')  
  .on("mouseover", function() {		
      div.transition()		
          .duration(200)		
          .style("opacity", .9);		
      div.html("Depth: 1m - 2.5m")	
          .style("left", (event.pageX) + "px")		
          .style("top", (event.pageY - 28) + "px");	
      })	
  .on("mouseout", function() {		
        div.transition()		
            .duration(500)		
            .style("opacity", 0);	
    });
const tillT = gText.append('text')
  .text('Till')
  .attr('y', 120)
  .attr("font-family", "sans-serif")
  .attr("font-size", "25px")
const bedrock = g.append('rect')
  .attr('y', 140)
  .attr('height', 1000)
  .attr('width', 100)
  .attr('fill', '#de2d26')
  .on("mouseover", function() {		
      div.transition()		
          .duration(200)		
          .style("opacity", .9);		
      div.html("Depth: 2.5m to Australia")	
          .style("left", (event.pageX) + "px")		
          .style("top", (event.pageY - 28) + "px");	
      })	
  .on("mouseout", function() {		
        div.transition()		
            .duration(500)		
            .style("opacity", 0);	
    });

const bedrockT = gText.append('text')
  .text('Sandstone')
  .attr('y', 190)
  .attr("font-family", "sans-serif")
  .attr("font-size", "25px")
const water = g.append("line")
  .attr("x1", 0)
  .attr("y1", 225)
  .attr("x2", 50)
  .attr("y2", 235)
  .attr("stroke-width", 6)
  .attr("stroke", "blue")
  .on("mouseover", function() {		
      div.transition()		
          .duration(200)		
          .style("opacity", .9);		
      div.html("Water at: 3.5m")	
          .style("left", (event.pageX) + "px")		
          .style("top", (event.pageY - 28) + "px");	
      })	
  .on("mouseout", function() {		
        div.transition()		
            .duration(500)		
            .style("opacity", 0);	
    });
const water1 = g.append("line")
  .attr("x1", 50)
  .attr("y1", 235)
  .attr("x2", 100)
  .attr("y2", 225)
  .attr("stroke-width", 6)
  .attr("stroke", "blue")
  .on("mouseover", function() {		
      div.transition()		
          .duration(200)		
          .style("opacity", .9);		
      div.html("Water at: 3.5m")	
          .style("left", (event.pageX) + "px")		
          .style("top", (event.pageY - 28) + "px");	
      })	
  .on("mouseout", function() {		
        div.transition()		
            .duration(500)		
            .style("opacity", 0);	
    });
const waterT = gText.append('text')
  .text('Water level')
  .attr('y', 230)
  .attr("font-family", "sans-serif")
  .attr("font-size", "25px")